Create Job Family
curl --request POST \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"job_family_name": "Software Engineer",
"job_family_group": "IT & Engineering",
"active": true
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families"
payload = {
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"job_family_name": "Software Engineer",
"job_family_group": "IT & Engineering",
"active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: 'a3903505-eb84-42dc-a79f-5e7b1fe897b7',
job_family_name: 'Software Engineer',
job_family_group: 'IT & Engineering',
active: true
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]CRUD
Create Job Family
Submit new Job Family information to initialise their Job Family inside the Skill Engine API.
Create Job Family
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Default structure for Job Family.
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
Required string length:
1 - 100Pattern:
[a-zA-Z0-9_-]+Example:
"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Name of the Job Family.
Required string length:
1 - 255Example:
"Software Engineer"
Name of the Job Family Group.
Required string length:
1 - 255Example:
"IT & Engineering"
The Job Family will not be used in matching if active is false. This is useful when a Job Family is being phased out.
Example:
true
Response
No Content
Was this page helpful?
⌘I